body {
  background-color: var(--navy-blue);
  font-family: var(--font-roboto);
  color: var(--white);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}

.auth-container {
  background-color: var(--blue);
  padding: 40px;
  border-radius: 20px;
  width: 100%;
  max-width: 400px;
  margin: auto;
  margin-top: 60px;
  box-shadow: 0 0 20px rgba(0,0,0,0.3);
}

.auth-container h2 {
  font-size: var(--section-subheading);
  margin-bottom: 30px;
  font-family: var(--font-spectral);
  text-align: center;
}

.auth-container label {
  display: block;
  margin-bottom: 10px;
  font-weight: var(--font-weight-6);
}

.auth-container input {
  width: 100%;
  padding: 12px;
  border-radius: 10px;
  border: none;
  margin-bottom: 20px;
  font-size: var(--text);
  background-color: var(--white);
}

.auth-container button {
  background-color: var(--pink);
  color: var(--white);
  padding: 12px;
  width: 100%;
  border: none;
  border-radius: 10px;
  font-size: var(--text);
  font-weight: var(--font-weight-6);
  cursor: pointer;
}

.auth-container button:hover {
  background-color: var(--yellow);
  color: var(--navy-blue);
}

.auth-toggle {
  text-align: center;
  margin-top: 20px;
  font-size: var(--text);
}

.auth-toggle a {
  color: var(--pink);
  cursor: pointer;
  text-decoration: underline;
}

.register-form {
  display: none;
}

.auth-container.show-register .login-form {
  display: none;
}

.auth-container.show-register .register-form {
  display: block;
}

@media screen and (max-width: 768px) {

  .auth-container {
    flex-direction: column;
    padding: 20px;
  }

  .login-form, .register-form {
    width: 100%;
  }

  .auth-toggle {
    text-align: center;
  }
}

@media screen and (max-width: 480px) {
  .auth-container {
    padding: 10px;
  }

  .login-form h2, .register-form h2 {
    font-size: 1.5rem;
  }

  .login-form input, .register-form input, textarea, button {
    font-size: 1rem;
  }
}
